using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.DiaoBo.Base
{
    public partial class W_DiaoBo_ChaXun
    {
        public W_DiaoBo_ChaXun()
        {

        }
        public override void OnLoad()
        {
            base.OnLoad();
            string curFlag = string.Empty;
            curFlag = Request["flag"];

            if (curFlag == "DB")
            {
                Title = "调拨订单查询";
                dw_2.DataStore.DataWindowObject = "dw_yw_db_ddhz_list_cx";
            }
            else if (curFlag == "DZ")
            {
                Title = "调拨通知单查询";
                dw_2.DataStore.DataWindowObject = "dw_yw_db_tzdhz_list_cx";
            }
            else if (curFlag == "DR")
            {
                Title = "仓库调拨入库单查询";
                dw_2.DataStore.DataWindowObject = "dw_yw_db_rkdhz_list_cx";
            }
            else if (curFlag == "DC")
            {
                Title = "仓库调拨出库单查询";
                dw_2.DataStore.DataWindowObject = "dw_yw_db_ckdhz_list_cx";
            }
          
            dw_2.SetTransaction(this.AdoTransaction);
            if (this.Page != null)
            {
                this.Page.ClientScript.RegisterClientScriptInclude("W_DiaoBo_ChaXun", "/DiaoBo/Base/W_DiaoBo_ChaXun.win.js?JSV=" + AppService.GetJSVesion());
            }
            this.IsRegisterScriptFile = false;
        }
    }
}
